import java.awt.*;
import java.awt.event.*;

public class Mensaje extends Dialog implements ActionListener, WindowListener {

public Mensaje(Frame parent, String title, String message) {

        // Caracteristicas del mensaje y boton
        super(parent,title,true);
        setLayout(new BorderLayout(15,15));
        setBackground(Color.white);
        setFont(new Font("Helvetica", Font.PLAIN, 14));
   TextArea msg = new TextArea(message,3,30,TextArea.SCROLLBARS_VERTICAL_ONLY);
        add("Center", msg);
        Button ok = new Button("Aceptar");
        ok.addActionListener(this);
        add("South", ok);
        addWindowListener(this);
        setSize(200,150);

        // Posicion de la ventana
        Dimension d = getToolkit().getScreenSize();
        int x = Math.round( (d.width - 300) / 2 );
        int y = Math.round( (d.height - 150) / 2 );
        setLocation( new Point(x,y) );
        setVisible(true);
    } 

public void actionPerformed(ActionEvent e) {
    //Accion cuando el boton es presionado  
    if (e.getSource() instanceof Button) {
        String label = ((Button)e.getSource()).getLabel();
        if (label == "Aceptar") {
           setVisible(false);
           dispose();
        }
      }
      }

    // Implementaciones del WindowListener
public void windowOpened(WindowEvent e) {
      return;
      }
public void windowActivated(WindowEvent e) {
      return;
    }
public void windowDeactivated(WindowEvent e) {
      return;
    }
public void windowIconified(WindowEvent e) {
      return;
    }
public void windowDeiconified(WindowEvent e) {
      return;
      }
public void windowClosing(WindowEvent e) {
      setVisible(false);
      dispose();
    }
public void windowClosed(WindowEvent e) {
      return;
    }

    // Para poder mostrar las ventanas en el applet de encriptacion 
 public static Frame getFrame(Component com) {
        Object anchorpoint = com.getParent();
        while (!(anchorpoint instanceof Frame))
          anchorpoint = ((Component)anchorpoint).getParent();
        return (Frame)anchorpoint;
    } 
} 
