import java.net.URL;
import java.net.MalformedURLException;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.io.*;
import java.applet.Applet;

public class encripta extends Applet implements ActionListener, KeyListener {

    protected TextField name;
    protected TextField psw;
    protected Label label1;
    protected Button list;
    protected Hashtable hash = null;
    protected URL pswURL=null;

    public void init()
    {
	// Archivo de donde leer los password actuales
	try{
	pswURL = new URL(this.getDocumentBase(), "users.txt");
	}
	catch (Exception e) { System.out.println(e); }	
	
	// Definiendo el color de fondo
	setBackground(new Color(Color.white.getRGB()));
	setForeground(new Color(Color.blue.getRGB()));

	// Definiendo la fuente
	setFont(new Font("SansSerif", Font.PLAIN, 14));

	// Definiendo el layout
	GridBagLayout gridbag = new GridBagLayout();
	GridBagConstraints constraints = new GridBagConstraints();
	setLayout(gridbag);    

	// Etiqueta Usuario
	constraints.fill = GridBagConstraints.NONE;
	constraints.anchor = GridBagConstraints.EAST;
	buildConstraints(constraints, 0, 0, 1, 1, 10, 40);
	Label label1 = new Label("Usuario/crypt:", Label.LEFT);
	gridbag.setConstraints(label1, constraints);
	add(label1);

	// Campo de Usuario
	constraints.fill = GridBagConstraints.HORIZONTAL;
	buildConstraints(constraints, 1, 0, 1, 1, 90, 0);
	name = new TextField();
	gridbag.setConstraints(name, constraints);
	name.addKeyListener(this);
        add(name);
	
	// Etiqueta de password
	constraints.fill = GridBagConstraints.NONE;
	constraints.anchor = GridBagConstraints.EAST;
	buildConstraints(constraints, 0, 1, 1, 1, 0, 40);
	Label label2 = new Label("Password:", Label.LEFT);
	gridbag.setConstraints(label2, constraints);
	add(label2);

	// Campo de password
	constraints.fill = GridBagConstraints.HORIZONTAL;
	buildConstraints(constraints, 1, 1, 1, 1, 0, 0);
	psw = new TextField();
	psw.setEchoChar('*');
	gridbag.setConstraints(psw, constraints);
	psw.addKeyListener(this);
	add(psw);

	
	constraints.fill = GridBagConstraints.NONE;
	constraints.anchor = GridBagConstraints.CENTER;
	buildConstraints(constraints, 0, 2, 2, 1, 0, 20);
	Panel panel = new Panel();

	//  layout
	panel.setLayout(new GridLayout(1, 3, 20, 2));
	gridbag.setConstraints(panel, constraints);
	add(panel);

	// Boton para encriptar
	Button login = new Button("Encriptar");
	login.addActionListener(this);
	login.addKeyListener(this);
	panel.add(login);

	// Boton de borrado
	Button clear = new Button("Borrar");
	clear.addActionListener(this);
	clear.addKeyListener(this);
	panel.add(clear);

	setSize(225,125);
    } 

    public void start() {

	// ponemos en blanco la linea de texto y passwd ademas de dejar 
	// el foco en el nombre
	name.setText("");
	psw.requestFocus();
	psw.setText("");
    } 

    void buildConstraints(GridBagConstraints gbc, int gx, int gy, int gw, int gh, int wx, int wy)
    {
	gbc.gridx = gx;
	gbc.gridy = gy;
	gbc.gridwidth = gw;
	gbc.gridheight = gh;
	gbc.weightx = wx;
	gbc.weighty = wy;
	gbc.ipadx = 0;
	gbc.ipady = 0;
    } 

    public Insets getInsets() {
	return new Insets(5, 5, 5, 5);
    }

    // KeyListener
    public void keyTyped(KeyEvent e) {
	return;  
    }

    public void keyPressed(KeyEvent e) {
	if (!Character.isLetterOrDigit(e.getKeyChar()) && 
	    e.getKeyCode() != KeyEvent.VK_ENTER  &&
	    e.getKeyCode() != KeyEvent.VK_SHIFT  &&
	    e.getKeyCode() != KeyEvent.VK_LEFT   &&
	    e.getKeyCode() != KeyEvent.VK_RIGHT  &&
	    e.getKeyCode() != KeyEvent.VK_DELETE &&
	    e.getKeyCode() != KeyEvent.VK_TAB    &&
	    e.getKeyCode() != KeyEvent.VK_BACK_SPACE) {
	    e.consume();
	}
    }

    public void keyReleased(KeyEvent e) {
	if (e.getSource() instanceof Button) {
	    Button theSource = (Button) e.getSource();
            if (e.getKeyCode() == KeyEvent.VK_ENTER) {
		ActionEvent ae = new ActionEvent(e.getSource(),ActionEvent.ACTION_PERFORMED,theSource.getActionCommand());
		theSource.dispatchEvent(ae);
	    }

	}
	else {
	    TextField theSource = (TextField) e.getSource();
	    if (e.getKeyCode() == KeyEvent.VK_ENTER)
		theSource.transferFocus();
	}
    }

    // Valida un username o password.
    boolean isValid(String text, int minLen, int minDigits) {

	StringBuffer sb = new StringBuffer(text);
	int digits=0;
	int i=0;
	// Contador de letras y digitos
	for(; i < sb.length(); i++) {
	    if (Character.isDigit(sb.charAt(i))) {
		digits++;
	    }
	}
	return ( (i >= minLen && digits >= minDigits) ? true : false );
    } 
    
    public void actionPerformed(java.awt.event.ActionEvent e) {
	Button theSource = (Button) e.getSource();
		Frame theFrame = Mensaje.getFrame(this);
	if (theSource.getLabel().equals("Encriptar")) {
		    if (isValid(psw.getText(),6,1)) {
			String username = name.getText();
						String salt = name.getText().substring(0,2);
			String password = jcrypt.crypt(salt,psw.getText());
			name.setText(password);
			psw.requestFocus();
			psw.setText("");
		    }
		    else {
				Mensaje msg = new Mensaje(theFrame, "Error", "El Password debe tener al menos 5 letras y un digito. Intentalo denuevo!.");
			psw.requestFocus();
		    }
	      }
 else if (theSource.getLabel().equals("Borrar")) {
	    name.setText("");
	    name.requestFocus();
	    psw.setText("");
	}
    }
} 

