import java.applet.Applet;
import java.net.URL;
import java.net.MalformedURLException;
import java.lang.*;
import java.io.*;
import java.awt.*;
import java.util.Vector;
import java.util.Hashtable;

public class login extends Applet implements Runnable {

  // Variables

  private String name;           // Nombre de usuario
  private String password;       // Password 
  private URL homeURL=null;      // Pagina Home
  private URL errorURL=null;     // Pagina de error
  private URL pswURL=null;       // Archivo de passwords
  private URL notasURL=null;     // Pagina de notas
  private ventana pswWin;       // Ventana que pregunta el login

  private Thread pswMon;         // Thread para la ventana popup
  private String nn;
  private URL web=null;
   
 public void init() {
   System.out.println("Iniciando el applet...");
   String attr;

   // Para llamar a la pagina de inicio
         try {
         homeURL = new URL(this.getDocumentBase(),"./index.html"); 
      }
      catch (Exception e) { System.err.println(e); }
        
   // Para llamar a la pagina de notas	 
	 try {
         notasURL = new URL(this.getDocumentBase(),"./alumno.html"); 
      }
      catch (Exception e) { System.err.println(e); }

   // Para llamar a la pagina de error
	 try {
         errorURL = new URL(this.getDocumentBase(),"./error.html"); 
      }
      catch (Exception e) { System.err.println(e); }
 
   // Para llamar al archivo de passwords
	 try {
        pswURL = new URL(this.getDocumentBase(),"./users.txt"); 
      }
      catch (Exception e) { System.err.println(e); }
    
   // Fuentes y tamao de fuente
      setFont(new Font("SansSerif", Font.PLAIN, 14));
} 

public void start() {
    System.out.println("Start applet...");

        if (pswMon == null) {
      pswWin = new ventana(this, pswURL);
      pswMon = new Thread(this);
      pswMon.start();
    }
  } 

  public void run() {
   System.out.println("Run ...");
   int i = 0;

    // Timeout despues de un minuto
    while (pswWin.isShowing() && i < 120) {
      try {
        pswMon.sleep(500);
        i++;
      }
      catch (Exception e) { 
        System.out.println(e); 
      }
    }
      if (pswWin.isValid()) {
      pswWin.dispose();
      goStart();
    }
    else {
      pswWin.dispose();
      redirect(errorURL, "_top");
    }
  } 

  public void stop() {
    pswMon = null;
  } 


  // Metodo usado para cargar la pagina de usuario ok  
     private void goStart() {
     System.out.println("Cargando pagina de inicio...");

	password=pswWin.Usuario();
	nn="./"+password+".html";
	System.out.println("nn="+nn);
	try
	  {
	     web=new URL(this.getDocumentBase(),nn);
	     System.out.println("web=" +web);
	  }
	   catch (Exception e) 
	  {
	      System.out.println(e); 
	  }
	
	
	
	redirect(web,"_top");
  } 
    
  // Metodo para redirigir a una pagina.  
  private void redirect(URL theURL, String dest) {
    try {
      System.out.println("Redirect URL=" + theURL);
      getAppletContext().showDocument(theURL, dest); 
    }
    catch (Exception e) { System.out.println(e); }
  } 

} 
